<?php get_header(); ?>

<div class="single-default sidebarleft sidebar">
	<?php get_sidebar('3col-templ-leftColSidebar'); ?>
</div>

<div id="content" class="single-default entrycontainer">
	<div id="post-<?php the_ID(); ?>" class="entry page">
		<h1 class="entry-title">
			<?php _e('Page not found!','gabfire'); ?>
		</h1>

		<p><?php _e('Sorry the page you were looking is not here.','gabfire'); ?></p>
								
		<div style="width:48%" class="pull-left">  
		<h3><?php _e( 'Pages', 'gabfire' ) ?></h3>
		<ul class="sitemap">
			<?php wp_list_pages( 'depth=0&sort_column=menu_order&title_li=' ); ?>		
		</ul>
		</div>				

		<div style="width:48%" class="pull-right">												  	    
		<h3><?php _e( 'Categories', 'gabfire' ) ?></h3>
		<ul class="sitemap">
			<?php wp_list_categories( 'title_li=&hierarchical=0&show_count=1') ?>	
		</ul>
		</div>			

		<div class="clearfix"></div>
		
		<?php
	   // This is where loop for archives list starts
		$cats = get_categories();
		foreach ($cats as $cat) {
		query_posts('cat='.$cat->cat_ID);
		?>
			<div class="widget">
			<h3><?php echo $cat->cat_name; ?></h3>
			<ul>	
				<?php while (have_posts()) : the_post(); ?>
				<li><a href="<?php the_permalink() ?>"><?php the_title(); ?></a> - (<?php echo $post->comment_count ?>)</li>
				<?php endwhile;  ?>
			</ul>
			</div>
		<?php } ?>	
	</div><!-- /entry -->
	

</div><!-- /content -->
	
<div id="sidebar" class="single-default sidebarright sidebar">
	<?php get_sidebar('3col-templ-rightColSidebar'); ?>
</div><!-- /sidebar -->

<div class="clearfix"></div>
	
<?php get_footer(); ?>