<?php 
/* Check if this is a photo/video custom post type archive
 * or a category page defined on theme options page
 * to display media layout; If true load archive-media.php.
 *
 * If this is a category archive, which is defined on theme
 * option page to display in 2 column format, load archive-2col.php
 *
 * If both conditions above are false, get archive-default.php
 */ 
get_header(); 

if (is_category()) {
	echo "<div class='archivehead'>";
	echo "<h3 class='archivename'>"; single_cat_title(); echo "</h3>";
	echo category_description();
	echo "</div>";
}

	if(of_get_option('of_pt_2col') <> '' && is_category(explode(',', of_get_option('of_pt_2col')))) {
		get_template_part( 'archive', '2col' );
	}
	
	elseif( (of_get_option('of_pt_3col') <> '' && is_category(explode(',',of_get_option('of_pt_3col'))))){	
		 get_template_part( 'archive', '3col' );
	} 

	elseif(of_get_option('of_pt_4col') <> '' && is_category(explode(',', of_get_option('of_pt_4col')))) {
		get_template_part( 'archive', '4col' );
	}
	
	elseif(of_get_option('of_pt_w_slider') <> '' && is_category(explode(',', of_get_option('of_pt_w_slider')))) {
		get_template_part( 'archive', 'slider' );
	}
		
	else {
		get_template_part( 'archive', 'default' );
	}
	
get_footer(); 