<?php
	// Exit if accessed directly
	if ( !defined('ABSPATH')) exit;
?>
<?php get_header(); ?>
	
	<?php gab_dynamic_sidebar( 'Wide-1' ); ?>
	
	<?php if (intval(of_get_option('of_pt_nr', 8)) > 0 ) { ?>
	<div class="row">
		<div id="featured-collage" class="span12">
			<div class="collagewrapper">
				<?php 
				$count = 1;		
				if (of_get_option('of_pt_featype') == 'mrecent') {
					$args = array(
					  'post__not_in'=> $do_not_duplicate,
					  'posts_per_page' => of_get_option('of_pt_nr'),
					);
				}
				elseif (of_get_option('of_pt_featype') == 'tagbased') {
					$args = array(
					  'post__not_in'=> $do_not_duplicate,
					  'posts_per_page' => of_get_option('of_pt_nr'),
					  'tag_id' => of_get_option('of_pt_tag')
					);
				}
				elseif (of_get_option('of_pt_featype') == 'cfbased') {
					$args = array(
					  'post__not_in'=> $do_not_duplicate,
					  'post_type' => 'any',
					  'posts_per_page' => of_get_option('of_pt_nr'),
					  'meta_key' => 'featured', 
					  'meta_value' => 'true'
					);
				}
				else {
					$args = array(
					  'post__not_in'=> $do_not_duplicate,
					  'cat' => of_get_option('of_pt_cat'), 
					  'posts_per_page' => of_get_option('of_pt_nr')
					);
				}
				$gab_query = new WP_Query();$gab_query->query($args); 
				while ($gab_query->have_posts()) : $gab_query->the_post();
				if (of_get_option('of_dnd') == 1) { $do_not_duplicate[] = $post->ID; }
				?> 				
				<?php 					
					if ($count == 1) { 	$media_width = 583;	$media_height = 366; $thumb_name = 'pt-fea1'; }
					elseif ($count == 2) { $media_width = 291; $media_height = 246;	$thumb_name = 'pt-fea2'; }
					elseif ($count == 3) { $media_width = 292; $media_height = 246;	$thumb_name = 'pt-fea2'; }
					elseif ($count == 4) { $media_width = 291; $media_height = 181;	$thumb_name = 'pt-fea3'; }
					elseif ($count == 5) { $media_width = 292; $media_height = 181;	$thumb_name = 'pt-fea3'; }
					elseif ($count == 6) { $media_width = 291; $media_height = 181;	$thumb_name = 'pt-fea3'; }
					elseif ($count == 7) { $media_width = 292; $media_height = 181;	$thumb_name = 'pt-fea3'; }
					elseif ($count == 8) { $media_width = 583; $media_height = 244;	$thumb_name = 'pt-fea4'; }
				?>

				<?php if($count == 1) { ?>
				<div class="col_1">
				<?php } ?>
					<?php if($count <= 3) { ?>
						<div class="featuredpost feapost_<?php echo $count; ?>">
							<?php 
								gab_media(array(
								'name' => $thumb_name, 
								'imgtag' => 1,
								'link' => 1,
								'enable_video' => 1, 
								'catch_image' => of_get_option('of_catch_img', 0),
								'video_id' => 'featured',
								'enable_thumb' => 1, 
								'resize_type' => 'c', 
								'media_width' => $media_width, 
								'media_height' => $media_height, 
								'thumb_align' => 'fea_media',
								'enable_default' => 0
							)); 										
							?>
							<div class="postinfo">
								<h2 class="posttitle">
									<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Permalink to %s', 'gabfire' ), the_title_attribute( 'echo=0' ) ); ?>"><?php the_title(); ?></a>
								</h2>
								
							</div>
						</div><!-- featuredpost -->
					<?php } ?>
				
				<?php if($count == 3) { ?>
				</div><!-- col_1 -->
				
				<div class="col_2">
				<?php } ?>				
					<?php if(($count <= 8) and ($count > 3))  { ?>
					<div class="featuredpost feapost_<?php echo $count; ?>">
						<?php 
							gab_media(array(
							'name' => $thumb_name, 
							'imgtag' => 1,
							'link' => 1,
							'enable_video' => 1, 
							'catch_image' => of_get_option('of_catch_img', 0),
							'video_id' => 'featured', 
							'enable_thumb' => 1, 
							'resize_type' => 'c', 
							'media_width' => $media_width, 
							'media_height' => $media_height, 
							'thumb_align' => 'fea_media',
							'enable_default' => 0
						)); 										
						?>
						<div class="postinfo">
							<h2 class="posttitle">
								<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Permalink to %s', 'gabfire' ), the_title_attribute( 'echo=0' ) ); ?>"><?php the_title(); ?></a>
							</h2>
						</div><!-- postinfo -->
					</div><!-- featuredpost -->
					<?php } ?>
				<?php if($count == 8) { ?>
				</div><!-- col_2 -->
				<?php } ?>
				
				<?php $count++; endwhile; wp_reset_query(); ?>		
			</div>
		</div>
	</div><!-- row -->
	<?php } ?>
	
	<?php gab_dynamic_sidebar( 'Wide-2' ); ?>
	
	<?php 
	$postcount = of_get_option('of_pt_nr1') + of_get_option('of_pt_nr2') + of_get_option('of_pt_nr3');
	if (intval($postcount) > 0 ) { ?>
		<div class="row">
			<div id="primary-content" class="span12">
				<div id="primary-left" class="pull-left">
				
					<?php gab_dynamic_sidebar( 'Primary-1' ); ?>
				
					<?php if (intval(of_get_option('of_pt_nr1', 4)) > 0 ) { ?>
						<div class="primary-left-entries">
							<p class="catname">
								<span>
								<?php if ( of_get_option('of_pt_cap1') <> "" ) { 
									echo of_get_option('of_pt_cap1'); 
								} else { 
									echo get_cat_name(of_get_option('of_pt_cat1')); 
								} ?>
								</span>
								
								<i class="icon-list-alt"></i>
								<a class="view-all" href="<?php echo get_category_link(of_get_option('of_pt_cat1')); ?>">
									<?php _e('View all','gabfire'); ?> 
								</a>
							</p>						
							
							<?php 
							$count = 1;
							$args = array(
							  'post__not_in'=>$do_not_duplicate,
							  'cat' => of_get_option('of_pt_cat1'), 
							  'posts_per_page' => of_get_option('of_pt_nr1')
							);	
							$gab_query = new WP_Query();$gab_query->query($args); 
							while ($gab_query->have_posts()) : $gab_query->the_post();
							if (of_get_option('of_dnd') == 1) { $do_not_duplicate[] = $post->ID; }
							?> 
								<div class="featuredpost<?php if ($count == of_get_option('of_pt_nr1')) { echo " lastpost"; } ?>">
									<?php
									gab_media(array(
										'name' => 'pt-primary_left',
										'imgtag' => 1,
										'link' => 1,
										'enable_video' => 0,
										'video_id' => 'top-carousel',
										'catch_image' => of_get_option('of_catch_img', 0),
										'enable_thumb' => 1,
										'resize_type' => 'c',
										'media_width' => 75, 
										'media_height' => 55, 
										'thumb_align' => 'alignleft',
										'enable_default' => 0,
									));
									?>						
									<h2 class="posttitle">
										<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Permalink to %s', 'gabfire' ), the_title_attribute( 'echo=0' ) ); ?>"><?php the_title(); ?></a>
									</h2>
								</div>
							<?php $count++; endwhile; wp_reset_query(); ?>	
						</div><!-- .primary-left-entries -->
					<?php } ?>
					
					
					<div class="widget gabfire-ad">
						<?php if ( of_get_option('of_pt_ad4') <> "" ) { ?>
							<div class="widget" <?php if ( of_get_option('of_pt_ad4m') <> "" ) { echo 'style="margin-bottom:' . of_get_option('of_pt_ad4m') . 'px"'; } ?>>
								<?php get_template_part( 'ads/home_300x250', '' ); ?>
							</div>
						<?php } ?>	
					</div>
					
					<?php gab_dynamic_sidebar( 'Primary-2' ); ?>
				</div><!-- primary-left -->	
				
				<div id="primary-mid" class="pull-left">

					<?php gab_dynamic_sidebar( 'Primary-3' ); ?>
				
						<?php if(intval(of_get_option('of_pt_nr2_a') + of_get_option('of_pt_nr2_b') + of_get_option('of_pt_nr2_c')) > 0 ) { ?>						
							<p class="catname">
								<span>
								<?php if ( of_get_option('of_pt_cap2') <> "" ) { 
									echo of_get_option('of_pt_cap2'); 
								} else { 
									echo get_cat_name(of_get_option('of_pt_cat2')); 
								} ?>
								</span>
								
								<i class="icon-list-alt"></i>
								<a class="view-all" href="<?php echo get_category_link(of_get_option('of_pt_cat2')); ?>">
									<?php _e('View all','gabfire'); ?> 
								</a>
							</p>								

							<div class="primary-mid_topleft pull-left">
								<?php 
								$count = 1;
								$numberofposts = of_get_option('of_pt_nr2_a') + of_get_option('of_pt_nr2_b');
								$args = array(
								  'post__not_in'=>$do_not_duplicate,
								  'posts_per_page' => $numberofposts, 
								  'cat' => of_get_option('of_pt_cat2' , 1)
								);					
								$gab_query = new WP_Query();$gab_query->query($args); 
								while ($gab_query->have_posts()) : $gab_query->the_post();						
								if (of_get_option('of_dnd') == 1) { $do_not_duplicate[] = $post->ID; }
								?>

									<div class="featuredpost<?php if ($count == $numberofposts) { echo " lastpost"; } ?>">
										<?php 
											if ($count <= of_get_option('of_pt_nr2_a')) { 
												gab_media(array(
													'name' => 'primary_mid1',
													'imgtag' => 1,
													'link' => 1,
													'enable_video' => 1,
													'video_id' => 'primarybottom', /* if video enabled, give a unique id to prevent duplicate id issue when post nwsps up twice on homepage */
													'catch_image' => of_get_option('of_catch_img'),
													'enable_thumb' => 1,
													'resize_type' => 'c', /* c = crop, h = resize only height, w = resize only width */
													'media_width' => 405, 
													'media_height' => 250, 
													'thumb_align' => 'aligncenter', 
													'enable_default' => 0
												)); 
											}
										?>

										<h2 class="posttitle">
											<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Permalink to %s', 'gabfire' ), the_title_attribute( 'echo=0' ) ); ?>" ><?php the_title(); ?></a>
										</h2>
														
										<p><?php print string_limit_words(get_the_excerpt(), 25); ?>&hellip;</p>
									</div><!-- end of featuredpost -->
								<?php $count++; endwhile; wp_reset_query(); ?>
							</div><!-- end of primary-mid_topleft -->
											
							<div class="primary-mid_topright pull-right">
								<?php 
								$count = 1; 
								$args = array(
								  'post__not_in'=>$do_not_duplicate,
								  'posts_per_page' => of_get_option('of_pt_nr2_c'), 
								  'offset' => $numberofposts, 
								  'cat' => of_get_option('of_pt_cat2' , 1)
								);					
								$gab_query = new WP_Query();$gab_query->query($args); 
								while ($gab_query->have_posts()) : $gab_query->the_post();
								if (of_get_option('of_dnd') == 1) { $do_not_duplicate[] = $post->ID; }
								
								if ($count % 2 == 0) {
									$even_or_odd = ' even';
								} else {
									$even_or_odd = ' odd';
								}
								?>
									<div class="featuredpost<?php echo $even_or_odd; if ($count == of_get_option('of_pt_cat2')) { echo " lastpost"; } ?>">
										<h2 class="posttitle">
											<a href="<?php the_permalink() ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'gabfire' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
										</h2>
										<?php
										gab_media(array(
											'name' => 'pt-primary_mid2',
											'imgtag' => 1,
											'link' => 1,
											'enable_video' => 0,
											'video_id' => 'top-carousel',
											'catch_image' => of_get_option('of_catch_img', 0),
											'enable_thumb' => 1,
											'resize_type' => 'c',
											'media_width' => 75, 
											'media_height' => 66, 
											'thumb_align' => 'alignleft',
											'enable_default' => 0,
										));
										?>		
										<p><?php print string_limit_words(get_the_excerpt(), 15); ?>&hellip;</p>
									</div>
									<?php if ($count % 2 == 0) { echo '<div class="clearfix"></div>'; } ?>
								<?php $count++; endwhile; wp_reset_query(); ?>
							</div><!-- End of primary-mid_topright -->
							<div class="clearfix"></div>
						<?php } ?>					
											
						<?php gab_dynamic_sidebar( 'Primary-4' ); ?>
				</div><!-- primary-mid -->	

				<div id="primary-right" class="pull-left">
				
					<?php gab_dynamic_sidebar( 'Primary-5' ); ?>
					
					<?php if (intval(of_get_option('of_pt_nr3')) > 0 ) { ?>
						<p class="catname">
							<span>
							<?php if ( of_get_option('of_pt_cap3') <> "" ) { 
								echo of_get_option('of_pt_cap3'); 
							} else { 
								echo get_cat_name(of_get_option('of_pt_cat3')); 
							} ?>
							</span>
							
							<i class="icon-list-alt"></i>
							<a class="view-all" href="<?php echo get_category_link(of_get_option('of_pt_cat3')); ?>">
								<?php _e('View all','gabfire'); ?> 
							</a>
						</p>	

						<?php
						$count = 1;
						/* We are going to check if the number of posts is a double number
						 * If not, we will have to add 1 to round that number to a double number
						 * that way we will be able to return an ad at the middle of left block using 
						 * a simple math condition (x / 2)
						 */
						if (of_get_option('of_pt_nr3') % 2 !== 0) {
							$numberofposts = of_get_option('of_pt_nr3') - 1;
						} else {
							$numberofposts = of_get_option('of_pt_nr3');
						}
						
						$args = array(
						  'post__not_in'=> $do_not_duplicate,
						  'posts_per_page' => of_get_option('of_pt_nr3'), 
						  'cat' => of_get_option('of_pt_cat3' , 1)
						);				
						$gab_query = new WP_Query();$gab_query->query($args); 
						while ($gab_query->have_posts()) : $gab_query->the_post();						
						if (of_get_option('of_dnd') == 1) { $do_not_duplicate[] = $post->ID; }
						?>

							<div class="primaryrightpost<?php if($count % 3 == 0) { echo ' thirdpost'; }?>">
								<h2 class="posttitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Permalink to %s', 'gabfire' ), the_title_attribute( 'echo=0' ) ); ?>" ><?php the_title(); ?></a></h2>
								<?php 
								if (intval(of_get_option('of_pt_dt3')) > 0 ) {
									if ($count % of_get_option('of_pt_dt3') == 0 )  {
									gab_media(array(
										'name' => 'pt-primary_right',
										'imgtag' => 1,
										'link' => 1,
										'enable_video' => 1, 
										'catch_image' => of_get_option('of_catch_img', 0),
										'video_id' => 'featured', 
										'enable_thumb' => 1,
										'resize_type' => 'c', /* c to crop, h to resize only height, w to resize only width */
										'media_width' => 185, 
										'media_height' => 140, 
										'thumb_align' => 'aligncenter',
										'enable_default' => 0
									)); 
									}
								}
								?>
							</div>
							
							<?php 
							if ($numberofposts / ($numberofposts / 2) == ($numberofposts / $count) )  {
								echo '<div class="primaryrightpost primaryrightpost_ad ">';
									include_once(get_template_directory() . '/ads/home_160xany.php');
								echo '</div>';
							}
							?>
							
						<?php 
						$count++; endwhile; wp_reset_query();
						
					} else { 
						/* If the entry number is set zero, we still have to display 160px ad that is entered on theme control panel */
						include_once(get_template_directory() . '/ads/home_160xany.php');
					} ?>
					
					<?php gab_dynamic_sidebar( 'Primary-6' ); ?>
				</div><!-- primary-right -->	
			</div><!-- primary-content -->
		</div><!-- row -->
	<?php } ?>
	
	<?php gab_dynamic_sidebar( 'Wide-3' ); ?>
	
	<?php $postcount = of_get_option('of_pt_nr4a') + of_get_option('of_pt_nr4b') + of_get_option('of_pt_nr4c');
	if (intval($postcount) > 0 ) { ?>
	
		<div id="secondary-content" class="row">
		
			<div class="span6 pull-left">	

				<p class="catname">
					<span>
					<?php if ( of_get_option('of_pt_cap4') <> "" ) { 
						echo of_get_option('of_pt_cap4'); 
					} else { 
						echo get_cat_name(of_get_option('of_pt_cat4')); 
					} ?>
					</span>
					
					<i class="icon-list-alt"></i>
					<a class="view-all" href="<?php echo get_category_link(of_get_option('of_pt_cat4')); ?>">
						<?php _e('View all','gabfire'); ?> 
					</a>
				</p>
			
				<div class="innerdiv_tocolor">
					<?php gab_dynamic_sidebar( 'Secondary-1' ); ?>
					
					<?php 
					/* 
					 * $numberofposts variable is used to get total number of posts set on backend for;
					 * of_get_option('of_pt_nr4a') -> Number of posts with big title, no thumb
					 * of_get_option('of_pt_nr4b') -> Number of posts with regular thumb
					 * of_get_option('of_pt_nr4c') -> number of only titles
					 * At loop $args, numberofposts var is set return number of total posts
					 * to be fetched from database. And within loop, the entries are break into 
					 * parts using if else statemens and ...._nr7a, nr7b, and nr7c values.
					 */
					$numberofposts = of_get_option('of_pt_nr4a') + of_get_option('of_pt_nr4b') + of_get_option('of_pt_nr4c');			
					if (intval($numberofposts) > 0 ) { ?>					
					
						<?php
						$count = 1; 
						$numberofthumbs = of_get_option('of_pt_nr4a') + of_get_option('of_pt_nr4b');
						$args = array(
						  'post__not_in'=> $do_not_duplicate,
						  'posts_per_page' => $numberofposts, 
						  'cat' => of_get_option('of_pt_cat4' , 1)
						);		
						$gab_query = new WP_Query();$gab_query->query($args); 
						while ($gab_query->have_posts()) : $gab_query->the_post();						
						if (of_get_option('of_dnd') == 1) { $do_not_duplicate[] = $post->ID; }
						
						if ($count <= $numberofthumbs) {
							$name = 'pt-secondary_1';
							$media_width = 90;
							$media_height = 83;
							$excerpt_length = 21;
							$class = 'alignleft small_thumb';
						} else { 
							$name = 'pt-secondary_2';
							$media_width = 180;
							$media_height = 145;
							$excerpt_length = 30;
							$class = 'alignleft big_thumb';
						}
						?>

							<div class="featuredpost<?php if ($count == $numberofposts) { echo " lastpost"; } ?>">
								<?php 
								if ($count > of_get_option('of_pt_nr4a')) {
									gab_media(array(
										'name' => $name, 
										'imgtag' => 1,
										'link' => 1,
										'enable_video' => 0, 
										'catch_image' => of_get_option('of_catch_img', 0),
										'video_id' => $name, 
										'enable_thumb' => 1,
										'resize_type' => 'c', /* c to crop, h to resize only height, w to resize only width */
										'media_width' => $media_width, 
										'media_height' => $media_height, 
										'thumb_align' => $class,
										'enable_default' => 0
									)); 
								}
								?>	
								
								<h2 class="posttitle <?php if ($count == 1) { echo 'bigposttitle'; } ?>">
									<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Permalink to %s', 'gabfire' ), the_title_attribute( 'echo=0' ) ); ?>" >
										<?php the_title(); ?>
									</a>
								</h2>

								<?php echo '<p>' . string_limit_words(get_the_excerpt(), $excerpt_length) . '&hellip;</p>';	?>		

							</div><!-- end of featuredpost -->
						<?php $count++; endwhile; wp_reset_query(); ?>
					<?php } ?>
					<?php gab_dynamic_sidebar( 'Secondary-2' ); ?>
				</div><!-- innerdiv_tocolor -->
			</div><!-- pull-left -->
			
			<div class="span6 pull-right">
				<?php gab_dynamic_sidebar( 'Secondary-3' ); ?>
				
				<?php if (intval(of_get_option('of_pt_nr5')) > 0 ) { ?>
					<p class="catname">
						<span>
						<?php if ( of_get_option('of_pt_cap5') <> "" ) { 
							echo of_get_option('of_pt_cap5'); 
						} else { 
							echo get_cat_name(of_get_option('of_pt_cat5')); 
						} ?>
						</span>
						
						<i class="icon-list-alt"></i>
						<a class="view-all" href="<?php echo get_category_link(of_get_option('of_pt_cat5')); ?>">
							<?php _e('View all','gabfire'); ?> 
						</a>
					</p>
					
					<div class="upper-posts">						
						
						<?php
						$count = 1; 
						$args = array(
						  'post__not_in'=> $do_not_duplicate,
						  'posts_per_page' => of_get_option('of_pt_nr5' , 7), 
						  'cat' => of_get_option('of_pt_cat5' , 1)
						);		
						$gab_query = new WP_Query();$gab_query->query($args); 
						while ($gab_query->have_posts()) : $gab_query->the_post();						
						if (of_get_option('of_dnd') == 1) { $do_not_duplicate[] = $post->ID; }
						
						/* Lets display left wrapper, right wrappers start/close tags and the inner
						 * and content of left wrapper only once. And repeat the entry headlines
						 * for right wrapper as many times as it is required within wrapper of
						 * right division
						 */

						 if($count == 1) { ?>
							<div class="featuredpost">
								<?php
									gab_media(array(
										'name' => 'pt-secondary_3', 
										'imgtag' => 1,
										'link' => 1,
										'enable_video' => 1, 
										'catch_image' => of_get_option('of_catch_img', 0),
										'video_id' => 'featured', 
										'enable_thumb' => 1,
										'resize_type' => 'w', /* c to crop, h to resize only height, w to resize only width */
										'media_width' => 570, 
										'media_height' => 240, 
										'thumb_align' => 'aligncenter',
										'enable_default' => 0
									)); 
								?>
										
								<h2 class="posttitle">
									<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Permalink to %s', 'gabfire' ), the_title_attribute( 'echo=0' ) ); ?>" >
										<?php the_title(); ?>
									</a>
								</h2>
									
								<?php echo '<p>' . string_limit_words(get_the_excerpt(), 25) . '&hellip;</p>'; ?>
								
								<?php if ( of_get_option('of_pt_ad3') != "" ) { ?>
									<div class="home_468x60 gabfire-ad">
										<?php include_once(get_template_directory() . '/ads/home_468x60.php'); ?>
									</div>
								<?php } ?>									
							</div>		

							<?php } else { ?>			
								<h2 class="posttitle list_posttitle <?php if ($count == of_get_option('of_pt_nr5')) { echo 'lastpost'; } ?>">
									<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Permalink to %s', 'gabfire' ), the_title_attribute( 'echo=0' ) ); ?>" >
										<?php the_title(); ?>
									</a>
								</h2>
							<?php } ?>						
						<?php $count++; endwhile; wp_reset_query(); ?>
					</div><!-- upper-posts -->
				<?php } ?>
				
				<?php gab_dynamic_sidebar( 'Secondary-4' ); ?>
				
				<?php if (intval(of_get_option('of_pt_nrmedia', 3)) > 0 ) { ?>
					
					<p class="catname">
						<span>
						<?php if ( of_get_option('of_pt_capmedia') <> "" ) { 
							echo of_get_option('of_pt_capmedia'); 
						} else { 
							echo get_cat_name(of_get_option('of_pt_catmedia')); 
						} ?>
						</span>
						
						<i class="icon-list-alt"></i>
						<a class="view-all" href="<?php echo get_category_link(of_get_option('of_pt_catmedia')); ?>">
							<?php _e('View all','gabfire'); ?> 
						</a>
					</p>

					<?php 
					$count = 1;
					$args = array(
					  'post__not_in'=> $do_not_duplicate,
					  'cat' => of_get_option('of_pt_catmedia'), 
					  'posts_per_page' => of_get_option('of_pt_nrmedia')
					);	
					$gab_query = new WP_Query();$gab_query->query($args); 
					while ($gab_query->have_posts()) : $gab_query->the_post();
					if (of_get_option('of_dnd') == 1) { $do_not_duplicate[] = $post->ID; }
					?> 
						<div class="featuredpost<?php if ($count == of_get_option('of_pt_nrmedia')) { echo " lastpost"; } ?>">
							<h2 class="posttitle">
								<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Permalink to %s', 'gabfire' ), the_title_attribute( 'echo=0' ) ); ?>"><?php the_title(); ?></a>
							</h2>								 
							<?php 
								gab_media(array(
								'name' => 'pt-secondary_4', 
								'imgtag' => 1,
								'link' => 1,
								'enable_video' => 1, 
								'catch_image' => of_get_option('of_catch_img', 0),
								'video_id' => 'secondary_4', 
								'enable_thumb' => 1, 
								'resize_type' => 'c', 
								'media_width' => 570, 
								'media_height' => 300, 
								'thumb_align' => 'aligncenter',
								'enable_default' => 1,
								'default_name' => 'media-slider.jpg'	
							)); 										
							?>
						</div>

					<?php $count++; endwhile; wp_reset_query(); ?>					
				<?php } ?>					
				
				<?php gab_dynamic_sidebar( 'Secondary-5' ); ?>
			</div><!-- pull-right -->
		
		</div><!-- secondary-content -->	
		
	<?php } ?>
	
	<?php gab_dynamic_sidebar( 'Wide-4' ); ?>
	
	<?php $postcount = of_get_option('of_pt_subnr1') + of_get_option('of_pt_subnr2') + of_get_option('of_pt_subnr3') + of_get_option('of_pt_subnr4');
	if (intval($postcount) > 0 ) { ?>
	
		<div id="subnews" class="row">
			<?php 
			$cat_count = 4; /* foreach loop will be repeated four times */
			$current = 1; /* we will use this var to get the index of current foreach */
			$widgetid = 1; /* We need to start an id for 8 of widget zones that will increment by one after each widget display   */
			$options = array();

			for ($i=1; $i<=$cat_count;$i++) {
				if(0 < strlen($variable = of_get_option('of_pt_subnr'.$i))) {
					$options[$i]['posts_per_page'] = $variable;
				}
				if(0 < strlen($variable = of_get_option('of_pt_subcat'.$i))) {
					$options[$i]['cat'] = $variable;
				}
			}
			
			foreach ($options as $id => $option)
			{
				if (0 == $options[$id]['posts_per_page']) {
					continue;
				} ?>
				
				<?php
				if ($current % 2 == 0) {
					$even_or_odd = 'even';
				} else {
					$even_or_odd = 'odd';
				}
				?>
				<div class="<?php echo "span3 $even_or_odd"; ?>">

					<?php gab_dynamic_sidebar( 'Subnews-'.$widgetid ); ?>
					
					<p class="catname">
						<span>
						<?php if ( of_get_option('of_pt_subcap'.$current) <> "" ) { 
							echo of_get_option('of_pt_subcap'.$current); 
						} else { 
							echo get_cat_name($options[$id]['cat']); 
						} ?>
						</span>
						
						<i class="icon-list-alt"></i>
						<a class="view-all" href="<?php echo get_category_link($options[$id]['cat']); ?>">
							<?php _e('View all','gabfire'); ?> 
						</a>
					</p>					

					<?php
					$count = 1; 
					$args = array(
					  'post__not_in'=> $do_not_duplicate,
					  'posts_per_page' => $options[$id]['posts_per_page'], 
					  'cat' => $options[$id]['cat']
					);	
					$gab_query = new WP_Query();$gab_query->query($args); 
					while ($gab_query->have_posts()) : $gab_query->the_post();						
					if (of_get_option('of_dnd') == 1) { $do_not_duplicate[] = $post->ID; }
					
					/* Lets display left wrapper, right wrappers start/close tags and the inner
					 * and content of left wrapper only once. And repeat the entry headlines
					 * for right wrapper as many times as it is required within wrapper of
					 * right division
					 */
					?>
						<?php if($count == 1) { ?>
						
							<div class="featuredpost">
								<?php
								gab_media(array(
									'name' => 'pt-subnews', 
									'imgtag' => 1,
									'link' => 1,
									'enable_video' => 1, 
									'catch_image' => of_get_option('of_catch_img', 0),
									'video_id' => 'subnews', 
									'enable_thumb' => 1,
									'resize_type' => 'c', /* c to crop, h to resize only height, w to resize only width */
									'media_width' => 270, 
									'media_height' => 150, 
									'thumb_align' => 'aligncenter',
									'enable_default' => 0
								)); 
								?>
										
								<h2 class="posttitle">
									<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Permalink to %s', 'gabfire' ), the_title_attribute( 'echo=0' ) ); ?>" >
										<?php the_title(); ?>
									</a>
								</h2>
								
								<?php echo '<p>' . string_limit_words(get_the_excerpt(), 16) . '&hellip;</p>'; ?>							
							</div>
							
						<?php } else { ?>			
							<h2 class="posttitle list_posttitle">
								<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Permalink to %s', 'gabfire' ), the_title_attribute( 'echo=0' ) ); ?>" >
									<?php the_title(); ?>
								</a>
							</h2>
						<?php 
						} ?>

					<?php 
					$count++; endwhile; wp_reset_query();
					
					$widgetid = $widgetid + 1;
					gab_dynamic_sidebar( 'Subnews-'.$widgetid );
					?>
				</div>
				
				<?php if ($current % 2 == 0) { ?><div class="clearfix"></div><?php } ?>
			<?php
			$current++;$widgetid++;;
			} ?>

		</div><!-- /subnews -->

	<?php } ?>
	
	<?php gab_dynamic_sidebar( 'Wide-5' ); ?>
				<div class="clearfix"></div>
<?php get_footer(); ?>