<?php
set_post_thumbnail_size( 50, 50, true); /* Normal Post Thumbnails */

if (of_get_option('of_wpmumode')==0) {
	add_image_size( 'gabfire', 1024, 9999 ); /* Featured Big Image - defined to be used with timthumb */
} else {
	/* Theme thumbnail sizes for WordPress multi user
	 * network installations. The image sizes below will  
	 * be used only when timthumb is disabled on 
	 * theme options -> under image handling settings tab
	 */
	add_image_size( 'pt-fea1', 478, 300, true ); /* featured */
	add_image_size( 'pt-fea2', 237, 200, true ); /* featured */
	add_image_size( 'pt-fea3', 237, 148, true ); /* featured */
	add_image_size( 'pt-fea4', 478, 200, true ); /* featured */
	add_image_size( 'pt-primary_left', 75, 55, true ); /* below featured left  */
	add_image_size( 'pt-primary_mid1', 405, 250, true ); /* below featured mid  */
	add_image_size( 'pt-primary_mid2', 75, 66, true ); /* below featured mid  */
	add_image_size( 'pt-primary_right', 185, 140, true ); /* below featured right  */
	add_image_size( 'pt-secondary_1', 90, 83, true ); /* secondary content left - small thumb */
	add_image_size( 'pt-secondary_2', 180, 145, true ); /* secondary content left - big thumb */
	add_image_size( 'pt-secondary_3', 570, 240, true ); /* secondary content right - upper thumb */
	add_image_size( 'pt-secondary_4', 570, 300, true ); /* secondary content right - bottom thumb */
	add_image_size( 'pt-subnews', 270, 150, true ); /* below featured small -  */
	add_image_size( 'pt-2col', 317, 160, true ); /* Category Template - Archive */
	add_image_size( 'pt-3col', 370, 190, true ); /* Category Template - Archive */
	add_image_size( 'pt-4col', 270, 138, true ); /* Category Template - Archive */
	add_image_size( 'pt-innerslide', 1150, 550, true ); /* Category Template - Archive */
	add_image_size( 'pt-loop-slider', 650, 300, true ); /* Category Template - Archive */
	add_image_size( 'pt-sidebarright', 155, 110, true ); /* sidebar right related posts  */
	add_image_size( 'ajaxtabs', 30, 30, true ); /* Ajaxtabs Widget */
}