<?php
function gabfire_register_sidebar($args) {
	$common = array(
		'before_widget' => '<div id="%1$s" class="widget %2$s"><div class="widgetinner">',
		'after_widget'  => "</div></div>\n",
		'before_title'  => '<h3 class="widgettitle">',
		'after_title'   => "</h3>\n"
	);
	$args = wp_parse_args($args, $common);
	return register_sidebar($args);
}

gabfire_register_sidebar(array('name' => 'Wide-1','id' => 'Wide-1','description' => 'Wide (fullwidth) - Between Featured Colage and Navigation'));
gabfire_register_sidebar(array('name' => 'Wide-2','id' => 'Wide-2','description' => 'Wide (fullwidth) - Between Featured Colage and Primary Content'));
gabfire_register_sidebar(array('name' => 'Wide-3','id' => 'Wide-3','description' => 'Wide (fullwidth) - Between Primary and Secondary Content'));
gabfire_register_sidebar(array('name' => 'Wide-4','id' => 'Wide-4','description' => 'Wide (fullwidth) - Between Secondary Content and Subnews Section'));
gabfire_register_sidebar(array('name' => 'Wide-5','id' => 'Wide-5','description' => 'Wide (fullwidth) - Between Subnews Section and Footer'));
gabfire_register_sidebar(array('name' => 'Primary-1','id' => 'Primary-1','description' => 'Primary left column - top'));
gabfire_register_sidebar(array('name' => 'Primary-2','id' => 'Primary-2','description' => 'Primary left column - bottom'));
gabfire_register_sidebar(array('name' => 'Primary-3','id' => 'Primary-3','description' => 'Primary mid column - top'));
gabfire_register_sidebar(array('name' => 'Primary-4','id' => 'Primary-4','description' => 'Primary mid column - bottom'));
gabfire_register_sidebar(array('name' => 'Primary-5','id' => 'Primary-5','description' => 'Primary right column - top'));
gabfire_register_sidebar(array('name' => 'Primary-6','id' => 'Primary-6','description' => 'Primary right column - bottom'));
gabfire_register_sidebar(array('name' => 'Secondary-1','id' => 'Secondary-1','description' => 'Secondary left column - top'));
gabfire_register_sidebar(array('name' => 'Secondary-2','id' => 'Secondary-2','description' => 'Secondary left column - bottom'));
gabfire_register_sidebar(array('name' => 'Secondary-3','id' => 'Secondary-3','description' => 'Secondary right column - top'));
gabfire_register_sidebar(array('name' => 'Secondary-4','id' => 'Secondary-4','description' => 'Secondary right column - mid'));
gabfire_register_sidebar(array('name' => 'Secondary-5','id' => 'Secondary-5','description' => 'Secondary right column - bottom'));
gabfire_register_sidebar(array('name' => 'Subnews-1','id' => 'Subnews-1','description' => 'Subnews 1/4 column, above entries'));
gabfire_register_sidebar(array('name' => 'Subnews-2','id' => 'Subnews-2','description' => 'Subnews 1/4 column, below entries'));
gabfire_register_sidebar(array('name' => 'Subnews-3','id' => 'Subnews-3','description' => 'Subnews 2/4 column, above entries'));
gabfire_register_sidebar(array('name' => 'Subnews-4','id' => 'Subnews-4','description' => 'Subnews 2/4 column, below entries'));
gabfire_register_sidebar(array('name' => 'Subnews-5','id' => 'Subnews-5','description' => 'Subnews 3/4 column, above entries'));
gabfire_register_sidebar(array('name' => 'Subnews-6','id' => 'Subnews-6','description' => 'Subnews 3/4 column, below entries'));
gabfire_register_sidebar(array('name' => 'Subnews-7','id' => 'Subnews-7','description' => 'Subnews 4/4 column, above entries'));
gabfire_register_sidebar(array('name' => 'Subnews-8','id' => 'Subnews-8','description' => 'Subnews 4/4 column, below entries'));
gabfire_register_sidebar(array('name' => 'Footer-1','id' => 'Footer-1','description' => 'Footer Left'));
gabfire_register_sidebar(array('name' => 'Footer-2','id' => 'Footer-2','description' => 'Footer Mid'));
gabfire_register_sidebar(array('name' => 'Footer-3','id' => 'Footer-3','description' => 'Footer Right'));
gabfire_register_sidebar(array('name' => '3col-templ-leftColSidebar','id' => '3col-templ-leftColSidebar','description' => '3 col post template (entry on middle) - Left col sidebar'));
gabfire_register_sidebar(array('name' => '3col-templ-rightColSidebar-1','id' => '3col-templ-rightColSidebar-1','description' => '3 col post template (entry on middle) - Right col sidebar - top'));
gabfire_register_sidebar(array('name' => '3col-templ-rightColSidebar-2','id' => '3col-templ-rightColSidebar-2','description' => '3 col post template (entry on middle) - Right col sidebar - bottom'));
gabfire_register_sidebar(array('name' => 'RightSidebar-templ-1','id' => 'RightSidebar-templ-1','description' => 'Right sidebar template - Wide Col 1'));
gabfire_register_sidebar(array('name' => 'RightSidebar-templ-2','id' => 'RightSidebar-templ-2','description' => 'Right sidebar template - Wide Col 2'));
gabfire_register_sidebar(array('name' => 'RightSidebar-templ-3','id' => 'RightSidebar-templ-3','description' => 'Right sidebar template - Wide Col 3'));
gabfire_register_sidebar(array('name' => 'RightSidebar-templ-4','id' => 'RightSidebar-templ-4','description' => 'Right sidebar template - Bottom left col 1'));
gabfire_register_sidebar(array('name' => 'RightSidebar-templ-5','id' => 'RightSidebar-templ-5','description' => 'Right sidebar template - Bottom left col 2'));
gabfire_register_sidebar(array('name' => 'RightSidebar-templ-6','id' => 'RightSidebar-templ-6','description' => 'Right sidebar template - Bottom right col 1'));
gabfire_register_sidebar(array('name' => 'RightSidebar-templ-7','id' => 'RightSidebar-templ-7','description' => 'Right sidebar template - Bottom right col 2'));
gabfire_register_sidebar(array('name' => 'RightSidebar-FullWidth','id' => 'Sidebar-FullWidth','description' => 'Fullwidth template - Bottom sidebar'));
gabfire_register_sidebar(array('name' => 'PostWidget','id' => 'PostWidget','description' => 'Widget to display below entry on default post template'));
gabfire_register_sidebar(array('name' => 'PostWidget-RightSidebar','id' => 'PostWidget-RightSidebar','description' => 'Widget to display below entry on right sidebar post template'));
gabfire_register_sidebar(array('name' => 'PostWidget-NoSidebar','id' => 'PostWidget-NoSidebar','description' => 'Widget to display below entry on "no sidebar" post template'));
gabfire_register_sidebar(array('name' => 'PostWidget-BigPicture','id' => 'PostWidget-BigPicture','description' => 'Widget to display below entry on big picture post template'));
gabfire_register_sidebar(array('name' => 'PageWidget','id' => 'PageWidget','description' => 'Widget to display below entry on widgetized page template'));