<?php get_header();

	if (have_posts()) : while (have_posts()) : the_post();
		/* based on user defined tag on theme control panel
		 * and checking the tags/terms assigned for the post
		 * we are going to call single-default.php or 
		 * single-bigpicture.php
		 */

	$post_layout = get_post_meta($post->ID, 'gabfire_post_template', true); 

	if ($post_layout == 'bigpicture') {
		get_template_part( 'single', 'bigpicture' );

	} elseif ($post_layout == 'fullwidth') {
		get_template_part( 'single', 'fullwidth' );
		
	} elseif ($post_layout == 'rightsidebar') {
		get_template_part( 'single', 'rightsidebar' );
		
	} else {
		get_template_part( 'single', 'default' );	
	}

	endwhile; else : endif;
	
get_footer();