<?php
	/*
		Template Name: Full Width
	*/
?>

<?php get_header(); ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

	<div <?php post_class('entry single-nosidebar'); ?>>
		
		<h1 class="entry-title"><?php the_title(); ?></h1>
				
		<?php 	 
		// Theme innerpage slider
		gab_innerslider();
		
		// Video or featured image
		gab_media(array(
			'name' => 'pt-loop-slider',
			'imgtag' => 1,
			'link' => 0,
			'enable_video' => 1,
			'resize_type' => 'w',
			'catch_image' => 0,
			'enable_thumb' => 0,
			'media_width' => 1170, 
			'media_height' => 550, 
			'thumb_align' => 'aligncenter', 
			'enable_default' => 0,
		));
		?>

		<?php $subtitle = get_post_meta($post->ID, 'subtitle', true);
		if ($subtitle !== '') {
			echo '<h3 class="subtitle">' . $subtitle . '</h3>';
		} 
		// Display content
		the_content();
		
		// make sure any gabfireed content gets cleared
		echo '<div class="clear"></div>';
		
		// Display pagination
		wp_link_pages('before=<p>&after=</p>&next_or_number=number&pagelink= %');
		
		// Display edit post link to site admin
		edit_post_link(__('Edit This Post','gabfire'),'<p>','</p>'); 
		?>
				
	</div><!-- /entry -->
	
<?php endwhile; else : endif; ?>

<?php get_footer(); ?>