<?php 
get_header();

/* Which url to use for attachment image */
if (of_get_option('of_wpmumode')==0) {
	@$image = wp_get_attachment_image_src( $attachment->ID->id, "full", false);
} else {
	$image = wp_get_attachment_image_src( $attachment->id, "pt-innerslide");
}
?>

<div class="single-default sidebarleft sidebar">
	<?php get_sidebar('3col-templ-leftColSidebar'); ?>
</div>


<div id="content" class="single-default entrycontainer">
	<div id="post-<?php the_ID(); ?>" <?php post_class('entry'); ?>>
		<span class="post_topmeta">
			<span class="entrydate pull-left"><i class="icon-calendar"></i>&nbsp;<?php printf(esc_attr__('Added on %1$s','gabfire'), get_the_date()); ?></span>
			<span class="entryby metaitem pull-right"><i class="icon-user"></i>&nbsp;<a href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php echo get_the_author(); ?></a></span>
		</span>
				
		<h1 class="entry-title">
			<?php
			$parent_title = get_the_title($post->post_parent);
			echo $parent_title;
			?>
		</h1>
						
		<?php
		if (of_get_option('of_wpmumode')==0) {			
			if(is_multisite()) { ?>
				<img src="<?php echo get_template_directory_uri(); ?>/timthumb.php?src=<?php echo redirect_wpmu($image[0]); ?>&amp;q=90&amp;w=650&amp;zc=1" class="attachment-full" alt="" /><?php
			} else { ?>
				<img src="<?php echo get_template_directory_uri(); ?>/timthumb.php?src=<?php echo $image[0]; ?>&amp;q=90&amp;w=660&amp;zc=1" class="attachment-full" alt="" /><?php
			}
		} else { ?>
			<img src="<?php echo $image[0]; ?>" alt="<?php the_title(); ?>" class="attachment-full" /><?php
		} ?>
						
		<div class="attachment-nav">
			<?php previous_image_link( false, __('&laquo; Previous Image','gabfire')); ?> <a href="<?php echo get_permalink($post->post_parent); ?>"><?php _e('Back to Post','gabfire'); ?></a> <?php next_image_link( false, __('Next Image &raquo;','gabfire')); ?>
		</div>
		
		<div class="att-gallery-icon-wrapper">
			<?php
				$count = 1;
				$args = array(
				'post_type' => 'attachment',
				'numberposts' => -1,
				'order' => 'ASC',
				'post_parent' => $post->post_parent);
				$attachments = get_posts($args);

				if ($attachments){
					foreach ($attachments as $attachment){
						echo '<div class="att-gallery-icon'; if($count % 4 == 0){ echo $lastpost = ' last'; }
						echo '"><a href="'.get_attachment_link($attachment->ID, false).'">'.wp_get_attachment_image($attachment->ID, 'thumbnail').'</a></div>';									
						$count++;
					}
				}
			?>
		</div>
		<div class="clearfix"></div>
		
	</div><!-- /entry -->
	
	<?php comments_template(); ?>
</div><!-- /content -->
	
<div id="sidebar" class="single-default sidebarright sidebar">
	<?php get_sidebar('3col-templ-rightColSidebar'); ?>
</div><!-- /sidebar -->

<div class="clearfix"></div>

<?php get_footer(); ?>