<?php 
add_action("wp_head", "theme_scripts"); 
add_action("wp_footer", "theme_footer_scripts"); 
function theme_scripts() { ?>
	<script type='text/javascript'>
	<!--	
	(function($){
		$.fn.jfontsize = function(opcoes) {
			var $this=$(this);
			var defaults = {
				btnMinusClasseId: '.fontSizeMinus',
				btnPlusClasseId: '.fontSizePlus',
				btnMinusMaxHits: 5,
				btnPlusMaxHits: 5,
				sizeChange: 1
			};

			if(($.isArray(opcoes))||(!opcoes)){
				opcoes = $.extend(defaults, opcoes);
			} else {
				defaults.sizeChange = opcoes;
				opcoes = defaults;
			}

			var limite=new Array();
			var fontsize_padrao=new Array();

			$(this).each(function(i){
				limite[i]=0;
				fontsize_padrao[i];
			})

			$('.fontSizeMinus, .fontSizePlus').removeAttr('href');
			$('.fontSizeMinus, .fontSizePlus').css('cursor', 'pointer');

			/* A- */
			$('.fontSizeMinus').click(function(){
				$this.each(function(i){
					if (limite[i]>(-(opcoes.btnMinusMaxHits))){
						fontsize_padrao[i]=$(this).css('font-size');
						fontsize_padrao[i]=fontsize_padrao[i].replace('px', '');
						fontsize=$(this).css('font-size');
						fontsize=parseInt(fontsize.replace('px', ''));
						fontsize=fontsize-(opcoes.sizeChange);
						fontsize_padrao[i]=fontsize_padrao[i]-(limite[i]*opcoes.sizeChange);
						limite[i]--;
						$(this).css('font-size', fontsize+'px');
					}
				})
			})

			/* A+ */
			$('.fontSizePlus').click(function(){
				$this.each(function(i){
					if (limite[i]<opcoes.btnPlusMaxHits){
						fontsize_padrao[i]=$(this).css('font-size');
						fontsize_padrao[i]=fontsize_padrao[i].replace('px', '');
						fontsize=$(this).css('font-size');
						fontsize=parseInt(fontsize.replace('px', ''));
						fontsize=fontsize+opcoes.sizeChange;
						fontsize_padrao[i]=fontsize_padrao[i]-(limite[i]*opcoes.sizeChange);
						limite[i]++;
						$(this).css('font-size', fontsize+'px');
					}
				})
			})
		};
	})(jQuery);	
		
	(function($) {
		$(document).ready(function() {
			$(".children").parent("li").addClass("has-child-menu");
			$(".sub-menu").parent("li").addClass("has-child-menu");
			$(".drop").parent("li").addClass("has-child-menu");
			
			$('.entry p').jfontsize();
			
			$('#js-news').ticker({
				speed: 0.10,
				fadeInSpeed: 600,
				controls: false, 
				direction: 'ltr',
				titleText: ''
			});	

			$('a[href=#top]').click(function(){	$('html, body').animate({scrollTop:0}, 'slow');	return false; });
			$("ul.tabs").tabs("div.panes > div");
			$("ul.sc_tabs").tabs("div.sc_tabs-content > div");
			
			// Responsive Menu (TinyNav)
			$(".menu").tinyNav({
				active: 'current_page_item', // Set the "active" class for default menu
				label: ''
			});
			$(".tinynav").selectbox();

		});
	})(jQuery);
	// -->
	</script>
	
<?php }

function theme_footer_scripts() { ?>

	<?php
	$language = get_bloginfo('language'); 
	$language = str_replace("-", "_", $language); 
	?>

	<div id="fb-root"></div>
	<script type='text/javascript'>
	<!--
	(function(d, s, id) {
	  var js, fjs = d.getElementsByTagName(s)[0];
	  if (d.getElementById(id)) return;
	  js = d.createElement(s); js.id = id;
	  js.src = "//connect.facebook.net/<?php echo $language; ?>/all.js#xfbml=1";
	  fjs.parentNode.insertBefore(js, fjs);
	}(document, 'script', 'facebook-jssdk'));
	// -->
	</script>
		
<?php }

function gab_twitterscript() { ?>
	<script type='text/javascript'>
	<!--
	!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");
	// -->
	</script>
<?php }

function gab_gplusscript() { ?>	
	<script type="text/javascript">
		<!--
	  (function() {
		var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
		po.src = 'https://apis.google.com/js/plusone.js';
		var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
	  })();
	  // -->
	</script>
<?php }

function gab_pinterestscript() { ?>
	<script type="text/javascript" src="//assets.pinterest.com/js/pinit.js"></script>
	
	<script type="text/javascript" src="//assets.pinterest.com/js/pinit.js">
	<!--
		document.body.innerHTML = document.body.innerHTML.replace(/&amp;;/g, "a");
	// -->
	</script>
<?php } 
