<div id="archive-default">
<?php 
$count = 1;
if (have_posts()) : while (have_posts()) : the_post();			
$gab_thumb = get_post_meta($post->ID, 'thumbnail', true);
$gab_video = get_post_meta($post->ID, 'video', true);
$gab_flv = get_post_meta($post->ID, 'videoflv', true);
$ad_flv = get_post_meta($post->ID, 'adflv', true);
$gab_iframe = get_post_meta($post->ID, 'iframe', true);
 ?>

	<div id="post-<?php the_ID(); ?>" <?php post_class('entry'); ?>>
		<span class="post_topmeta">
			<span class="entrydate pull-left"><i class="icon-calendar"></i>&nbsp;<?php printf(esc_attr__('Added on %1$s','gabfire'), get_the_date()); ?></span>
			<span class="entryby metaitem pull-right"><i class="icon-user"></i>&nbsp;<a href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php echo get_the_author(); ?></a></span>
			<?php the_tags('<span class="entrytag metaitem pull-right"><i class="icon-tags"></i>&nbsp;',' , ','</span>'); ?>
		</span>
				
		<h1 class="entry-title">
			<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Permalink to %s', 'gabfire' ), the_title_attribute( 'echo=0' ) ); ?>"><?php the_title(); ?></a>
		</h1>
						
		<?php 	 		
		// Video or featured image
		gab_media(array(
			'name' => 'pt-innerslide', /* This name is used for attachment, innerpage slider and single.php files */
			'imgtag' => 1,
			'link' => 1,
			'enable_video' => 1,
			'resize_type' => 'c', /* c to crop, h to resize only height, w to resize only width */
			'catch_image' => 0,
			'enable_thumb' => 1,
			'media_width' => 650, 
			'media_height' => 300, 
			'thumb_align' => 'aligncenter', 
			'enable_default' => 0,
		));

		$subtitle = get_post_meta($post->ID, 'subtitle', true);
		
		if ($subtitle !== '') {
			echo '<h3 class="subtitle">' . $subtitle . '</h3>';
		} 
		// Display content
		the_excerpt();
		
		// make sure any gabfireed content gets cleared
		echo '<div class="clearfix"></div>';	
				
		// Display edit post link to site admin
		edit_post_link(__('Edit This Post','gabfire'),'<p>','</p>'); 
		?>
				
	</div><!-- /entry -->
	
<?php $count++; endwhile; else: ?>
	<div id="post-<?php the_ID(); ?>" <?php post_class('entry'); ?>>
		<h1 class="entry-title">
			<?php _e( 'Nothing Found', 'gabfire' ); ?>
		</h1>
		<p><?php _e( 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'gabfire' ); ?></p>
	</div>
 <?php endif; ?>
</div>