<div id="archive-slider">
<?php 
$count = 1;
if (have_posts()) : while (have_posts()) : the_post();			
$gab_thumb = get_post_meta($post->ID, 'thumbnail', true);
$gab_video = get_post_meta($post->ID, 'video', true);
$gab_flv = get_post_meta($post->ID, 'videoflv', true);
$ad_flv = get_post_meta($post->ID, 'adflv', true);
$gab_iframe = get_post_meta($post->ID, 'iframe', true);

$slide_options = 'data-cycle-loader="true"';
$slide_options .= ' data-cycle-fx="' . of_get_option('of_inner_slidefx') .'"';
$slide_options .= ' data-cycle-pager=".archiveslide-custom-pager"';
$slide_options .= ' data-cycle-prev=".prev"';
$slide_options .= ' data-cycle-next=".next"';
$slide_options .= ' data-cycle-slides="> div"';
		if(of_get_option('of_inner_rotate') == 1) {
			$slide_options .= ' data-cycle-pause-on-hover="true"';
			$slide_options .= ' data-cycle-speed="'. of_get_option('of_inner_speed') .'"';
		} else {
			$slide_options .= ' data-cycle-timeout="0"';
		}


if ($count == 1) { ?>
	<div class="slide-wrapper">
		<div class="cycle-slideshow" <?php echo $slide_options; ?>>
		<?php } ?>
		
			<?php if ($count < 6 ) { ?>
			<div class="category-slide-item">
					<?php
					gab_media(array(
						'imgtag' => 1,
						'link' => 1,
						'name' => 'pt-loop-slider',
						'enable_video' => 1,
						'video_id' => 'op-loop3col',
						'catch_image' => of_get_option('of_catch_img', 0),
						'enable_thumb' => 1,
						'resize_type' => 'c',
						'media_width' => 1150, 
						'media_height' => 550, 
						'thumb_align' => 'aligncenter',
						'enable_default' => 0
					));
					?>
				
				<div class="category-slide-caption">
					<div class="slide-caption-meta">
						<span class="pull-left"><i class="icon-calendar icon-white"></i>&nbsp;<?php echo get_the_date(); ?></span>
						<span class="pull-right"><i class="icon-user icon-white"></i>&nbsp;<a href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php echo get_the_author(); ?></a></span>
						<div class="clearfix"></div>
						<?php the_tags('<span class="entry-tags"><i class="icon-tags icon-white"></i>&nbsp;',' , ','</span>'); ?>	
					</div>
					
					<h2 class="entry-title">
						<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Permalink to %s', 'gabfire' ), the_title_attribute( 'echo=0' ) ); ?>"><?php the_title(); ?></a>
					</h2>
					<p><?php print string_limit_words(get_the_excerpt(), 25); ?>&hellip;</p>
				</div><!-- category-slide-caption -->
			</div><!-- category-slide-item -->
		<?php } ?>
			
	<?php if ($count == 5) { ?>
		</div>
	
		<div class="direction-wrapper">
			<a href=# class="prev pull-left"><?php _e('Prev','gabfire'); ?></a> 
			<a href=# class="next pull-right"><?php _e('Next','gabfire'); ?></a>
			<div class="archiveslide-custom-pager" class="center external"></div>
		</div>
			
		
	</div><!-- slide-wrapper -->
	
	
	<div id="content">
	<?php } ?>
	
	<?php if ( ($count > 5) and ($count < 9) ) { ?>



				<div id="post-<?php the_ID(); ?>" <?php post_class('entry'); ?>>
					<span class="post_topmeta">
						<span class="entrydate pull-left"><i class="icon-calendar"></i>&nbsp;<?php printf(esc_attr__('Added on %1$s','gabfire'), get_the_date()); ?></span>
						<span class="entryby metaitem pull-right"><i class="icon-user"></i>&nbsp;<a href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php echo get_the_author(); ?></a></span>
						<?php the_tags('<span class="entrytag metaitem pull-right"><i class="icon-tags"></i>&nbsp;',' , ','</span>'); ?>
					</span>
							
					<h1 class="entry-title">
						<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Permalink to %s', 'gabfire' ), the_title_attribute( 'echo=0' ) ); ?>"><?php the_title(); ?></a>
					</h1>
									
					<?php 	 		
					// Video or featured image
					gab_media(array(
						'name' => 'pt-innerslide', /* This name is used for attachment, innerpage slider and single.php files */
						'imgtag' => 1,
						'link' => 0,
						'enable_video' => 1,
						'resize_type' => 'c', /* c to crop, h to resize only height, w to resize only width */
						'catch_image' => 0,
						'enable_thumb' => 1,
						'media_width' => 650, 
						'media_height' => 300, 
						'thumb_align' => 'aligncenter', 
						'enable_default' => 0,
					));

					$subtitle = get_post_meta($post->ID, 'subtitle', true);
					
					if ($subtitle !== '') {
						echo '<h3 class="subtitle">' . $subtitle . '</h3>';
					} 
					// Display content
					the_excerpt();
					
					// make sure any gabfireed content gets cleared
					echo '<div class="clearfix"></div>';	
							
					// Display edit post link to site admin
					edit_post_link(__('Edit This Post','gabfire'),'<p>','</p>'); 
					?>
							
				</div><!-- /entry -->
				

	
	<?php } ?>

	<?php $count++; endwhile; else: endif; ?>
		<div class="archive-pagination">
		<?php
		// load pagination
		global $wp_query;

		$big = 999999999;
		echo paginate_links( array(
			'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
			'format' => '?paged=%#%',
			'current' => max( 1, get_query_var('paged') ),
			'total' => $wp_query->max_num_pages
		) );
		?>
	</div>
	</div><!-- /content -->
	
	
			

	<div id="sidebar" class="sidebar sidebar-right">
	<?php get_sidebar(); ?>
	</div><!-- /sidebar -->

	<div class="clearfix"></div>
	
</div>