<?php gab_dynamic_sidebar('RightSidebar-templ-1'); ?>

<?php if (is_single()) { ?>
	<div class="gab_sidebarposts sidebar_related_posts">
		<h3 class="widgettitle"><?php _e('Related Posts','gabfire'); ?></h3>
		
		<?php
		//for use in the loop, list 5 post titles related to first tag on current post
		global $post,$page;
		$tags = wp_get_post_tags($post->ID);
		if ($tags) {
		$tag_ids = array();
		
		foreach($tags as $individual_tag) $tag_ids[] = $individual_tag->term_id;
		
		$args=array(
			'tag__in' => $tag_ids,
			'post__not_in' => array($post->ID),
			'posts_per_page'=> 3,
			'orderby'=>'rand' // Randomize the posts
		);
		$count = 1;
		$gab_query = new WP_Query();$gab_query->query($args); 
		while ($gab_query->have_posts()) : $gab_query->the_post();	
		?>

			<div class="featuredpost pull-left<?php if ($count == 3) { echo ' last'; } ?>">
				<?php
				gab_media(array(
					'imgtag' => 1,
					'link' => 1,
					'name' => 'pt-sidebarright',
					'enable_video' => 1,
					'video_id' => 'bfea-right',
					'catch_image' => of_get_option('of_catch_img', 0),
					'enable_thumb' => 1,
					'resize_type' => 'c',
					'media_width' => 155, 
					'media_height' => 110, 
					'thumb_align' => 'aligncenter',
					'enable_default' => 0
				));
				?>
				
				<div class="postteaser">
					<h2 class="posttitle">
						<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Permalink to %s', 'gabfire' ), the_title_attribute( 'echo=0' ) ); ?>" ><?php the_title(); ?></a>
					</h2>
				</div>
			</div><!-- .featuredpost -->				

		<?php $count++; endwhile; wp_reset_query(); } ?>
	</div><!-- /gab_relatedposts -->
<?php } ?>

<?php gab_dynamic_sidebar('RightSidebar-templ-2'); ?>

<?php gab_categoryad('rightsidebar-templ-468x60'); ?>

<div class="gab_sidebarposts sidebar_video_posts">
	<h3 class="widgettitle"><?php _e('Recent Videos','gabfire'); ?></h3>
	
	<?php		
	$args=array(
		'posts_per_page'=> 3,
		'meta_key' => 'iframe',
	);
	$count = 1;
	$gab_query = new WP_Query();$gab_query->query($args); 
	while ($gab_query->have_posts()) : $gab_query->the_post();	
	?>

		<div class="featuredpost pull-left<?php if ($count == 3) { echo ' last'; } ?>">
			<?php
			gab_media(array(
				'imgtag' => 1,
				'link' => 1,
				'name' => 'pt-sidebarright',
				'enable_video' => 1,
				'video_id' => 'bfea-right',
				'catch_image' => of_get_option('of_catch_img', 0),
				'enable_thumb' => 1,
				'resize_type' => 'c',
				'media_width' => 155, 
				'media_height' => 110, 
				'thumb_align' => 'aligncenter',
				'enable_default' => 0
			));
			?>
			
			<div class="postteaser">
				<h2 class="posttitle">
					<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Permalink to %s', 'gabfire' ), the_title_attribute( 'echo=0' ) ); ?>" ><?php the_title(); ?></a>
				</h2>
			</div>
		</div><!-- .featuredpost -->				

	<?php $count++; endwhile; wp_reset_query(); ?>
</div><!-- /gab_relatedposts -->	

<?php gab_dynamic_sidebar('RightSidebar-templ-3'); ?>