<?php gab_innerslider(); ?>
<div class="clearfix"></div>

<div id="content">
	<div id="post-<?php the_ID(); ?>" <?php post_class('entry single-rightsidebar'); ?>>
		<span class="post_topmeta">
			<span class="entrydate pull-left"><i class="icon-calendar icon-white"></i>&nbsp;<?php printf(esc_attr__('Added on %1$s','gabfire'), get_the_date()); ?></span>
			<span class="entryby metaitem pull-right"><i class="icon-user"></i>&nbsp;<a href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php echo get_the_author(); ?></a></span>
			<?php the_tags('<span class="entrytag metaitem pull-right"><i class="icon-tags"></i>&nbsp;',' , ','</span>'); ?>
		</span>
		
		<div class="post_sharebuttons">
			<?php if (has_post_thumbnail( $post->ID )) { $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' ); } ?>			
			<div class="share-to-pinterest pull-right"><a href="http://pinterest.com/pin/create/button/?url=<?php echo urlencode(get_permalink()); ?>&media=<?php echo urlencode($image[0]); ?>&description=<?php echo get_the_excerpt(); ?>" class="pin-it-button" count-layout="horizontal"><img border="0" src="//assets.pinterest.com/images/PinExt.png" title="'<?php _e('Pin It','gabfire'); ?>" /></a></div>
			<div class="share-to-google pull-right"><div class="g-plus" data-action="share" data-annotation="bubble"></div></div>
			<div class="share-to-twitter pull-right"><a href="https://twitter.com/share" class="twitter-share-button" data-url="<?php echo get_permalink(); ?>" data-text="<?php echo get_the_title(); ?>" data-lang="<?php echo substr(get_bloginfo ( 'language' ), 0, 2); ?>"></a></div>
			<div class="share-to-facebook pull-right"><div class="fb-like" data-href="<?php echo get_permalink(); ?>" data-send="false" data-layout="button_count" data-width="80" data-show-faces="true"></div></div>
			
			<?php
			add_action("wp_footer", "gab_twitterscript"); 
			add_action("wp_footer", "gab_pinterestscript");
			add_action("wp_footer", "gab_gplusscript"); 
			
			$nr_cmmnts = get_comments_number();
			if ( comments_open() ) {
				if ( $nr_cmmnts == 0 ) {
					$comments = __('No Comments', 'gabfire');
				} elseif ( $nr_cmmnts > 1 ) {
					$comments = $nr_cmmnts . __(' Comments', 'gabfire');
				} else {
					$comments = __('1 Comment', 'gabfire');
				}
			}
			?>
			
			<div class=" metaitem"><i class="icon-comment"></i><?php echo $comments; ?></div>
			<div class="clearfix"></div>
		</div>		
		
		<h1 class="entry-title"><?php the_title(); ?></h1>
				
		<?php 	 
		if (of_get_option('of_autoimage') == 1) { 
			$enableimage = 1;
		} else {
			$enableimage = 0;
		}			
			
		// Video or featured image
		gab_media(array(
			'name' => 'pt-innerslide', /* This name is used for attachment, innerpage slider and single.php files */
			'imgtag' => 1,
			'link' => 0,
			'enable_video' => 1,
			'resize_type' => 'w', /* c to crop, h to resize only height, w to resize only width */
			'catch_image' => 0,
			'enable_thumb' => $enableimage,
			'media_width' => 650, 
			'media_height' => 350, 
			'thumb_align' => 'aligncenter', 
			'enable_default' => 0,
		));
		?>

		<div class="post_tools">	
			<?php /* <a href="#" class="fontsize-button fontReset pull-left">Reset Font Size</a> */ ?>
			<a rel="nofollow" href="#" class="fontsize-button fontSizeMinus pull-left"><?php _e('Decrease Font Size','gabfire'); ?></a>
			<a rel="nofollow" href="#" class="fontsize-button fontSizePlus pull-left"><?php _e('Increase Font Size','gabfire'); ?></a>
			<span class="tools_label pull-left"><?php _e('Text Size','gabfire'); ?></span>
			<a rel="nofollow" href="javascript:window.print()" class="print-this-page"><?php _e('Print This Page','gabfire'); ?></a>

			<?php			
			$text 		= __( 'Send by Email', 'gabfire' );
			$recommend	= __( 'I recommend this page:', 'gabfire' );
			$readon		= __( 'You can read it on:', 'gabfire' );
			
			$title = htmlspecialchars($post->post_title);
			$subject = htmlspecialchars(get_bloginfo('name')).' : '.$title;
			$body = $recommend . ' ' .$title. '.' . "\n" .$readon. ' ' .get_permalink($post->ID);
			$link = '<a class="email-this-page" href="mailto:?subject='.rawurlencode($subject).'&amp;body='.rawurlencode($body).'" title="'.$text.' : '.$title.'">'.$text.'</a>';
			echo $link;
			?>
		</div>		
		
		<?php $subtitle = get_post_meta($post->ID, 'subtitle', true);
		if ($subtitle !== '') {
			echo '<h3 class="subtitle">' . $subtitle . '</h3>';
		} 
		// Display content
		the_content();
		
		// make sure any gabfireed content gets cleared
		echo '<div class="clear"></div>';
				
		// Display pagination
		$args = array(
			'before'           => '<p class="post-pagination">' . __('<strong>Pages:</strong>','gabfire'),
			'after'            => '</p>',
			'link_before'      => '<span>',
			'link_after'       => '</span>',
			'next_or_number'   => 'number',
			'nextpagelink'     => __('Next page', 'gabfire'),
			'previouspagelink' => __('Previous page', 'gabfire'),
			'pagelink'         => '%',
			'echo'             => 1
		);
		wp_link_pages($args);

		// Display edit post link to site admin
		edit_post_link(__('Edit This Post','gabfire'),'<p>','</p>'); 	

		// Post Widget
		gab_dynamic_sidebar('PostWidget-RightSidebar');						
		?>
		
		<div class="post-author">
			<div class="author-avatar">
				<?php echo get_avatar( get_the_author_meta('email'), '70' ); ?>
			</div>
			
			<div class="author-info">		
				<p><?php _e('by','gabfire'); ?> <a href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php echo get_the_author(); ?></a></p>
				<p><?php the_author_meta( 'description' ); ?></p>
			</div>
			
			<div class="author_links">
				<?php if ( get_the_author_meta( 'googleplus' ) ) { ?><a href="<?php the_author_meta('googleplus'); ?>" class="author_gplus author_social"><?php _e('Find on Google+','gabfire'); ?></a><?php } ?>	
				<?php if ( get_the_author_meta( 'twitter' ) ) { ?><a href="http://www.twitter.com/<?php the_author_meta('twitter'); ?>" class="author_twitter author_social"><?php _e('Follow me','gabfire'); ?></a><?php } ?>	
				<?php if ( get_the_author_meta( 'facebook' ) ) { ?><a href="<?php the_author_meta('facebook'); ?>" class="author_facebook author_social"><?php _e('Facebook','gabfire'); ?></a><?php } ?>	
				<?php if ( get_the_author_meta( 'linkedin' ) ) { ?><a href="<?php the_author_meta('linkedin'); ?>" class="author_linkedin author_social"><?php _e('View profile','gabfire'); ?></a><?php } ?>	
				<?php if ( get_the_author_meta( 'url' ) ) { ?><a href="<?php the_author_meta('url'); ?>" class="author_home author_social"><?php _e('Website','gabfire'); ?></a><?php } ?>	
			</div>
			<div class="clearfix"></div>			
		</div>
		
	</div><!-- /entry -->
	
	<?php comments_template(); ?>
</div><!-- /content -->
	
<div id="sidebar" class="sidebar sidebar-right">
	<?php get_sidebar(); ?>
</div><!-- /sidebar -->

<div class="clearfix"></div>