<div id="subnews">
	<?php 
	$cat_count = 4; /* foreach loop will be repeated four times */
	$current = 1; /* we will use this var to get the index of current foreach */
	$widgetid = 1; /* We need to start an id for 8 of widget zones that will increment by one after each widget display   */
	$options = array();

	for ($i=1; $i<=$cat_count;$i++) {
		if(0 < strlen($variable = of_get_option('of_pt_subnr'.$i))) {
			$options[$i]['posts_per_page'] = $variable;
		}
		if(0 < strlen($variable = of_get_option('of_pt_subcat'.$i))) {
			$options[$i]['cat'] = $variable;
		}
	}
	
	foreach ($options as $id => $option)
	{
		if (0 == $options[$id]['posts_per_page']) {
			continue;
		} ?>
		
		<?php 
			if($current % 4 == 0) { 
				$postclass = 'subnewscol even lastcol'; 
			} elseif($current % 2 == 0) { 
				$postclass = 'subnewscol even'; 
			} else {
				$postclass = 'subnewscol';
			}
		?>

		<div class="<?php echo $postclass; ?>">

			<?php gab_dynamic_sidebar( 'Subnews-'.$widgetid ); ?>
			
			<p class="catname">
				<a href="<?php echo get_category_link($options[$id]['cat']);?>">
					<?php if ( of_get_option('of_pt_subcap'.$current) <> "" ) { 
						echo of_get_option('of_pt_subcap'.$current); 
					} else { 
						echo get_cat_name($options[$id]['cat']); 
					} ?>				
				</a>
			</p>			

			<?php
			$count = 1; 
			$args = array(
			  'posts_per_page' => $options[$id]['posts_per_page'], 
			  'cat' => $options[$id]['cat']
			);	
			$gab_query = new WP_Query();$gab_query->query($args); 
			while ($gab_query->have_posts()) : $gab_query->the_post();						
			$do_not_duplicate[] = $post->ID;
			
			/* Lets display left wrapper, right wrappers start/close tags and the inner
			 * and content of left wrapper only once. And repeat the entry headlines
			 * for right wrapper as many times as it is required within wrapper of
			 * right division
			 */
			?>
				<?php if($count == 1) { ?>
				
					<div class="featuredpost">
						<?php
						gab_media(array(
							'name' => 'cd-subnews', 
							'imgtag' => 1,
							'link' => 1,
							'enable_video' => 1, 
							'catch_image' => of_get_option('of_catch_img', 0),
							'video_id' => 'featured', 
							'enable_thumb' => 1,
							'resize_type' => 'c', /* c to crop, h to resize only height, w to resize only width */
							'media_width' => 225, 
							'media_height' => 123, 
							'thumb_align' => 'aligncenter',
							'enable_default' => 0
						)); 
						?>
								
						<h2 class="posttitle">
							<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Permalink to %s', 'gabfire' ), the_title_attribute( 'echo=0' ) ); ?>" >
								<?php the_title(); ?>
							</a>
						</h2>
						
						<?php echo '<p>' . string_limit_words(get_the_excerpt(), 16) . '&hellip;</p>'; ?>							
					</div>
					
				<?php } else { ?>			
					<h2 class="posttitle list_posttitle">
						<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Permalink to %s', 'gabfire' ), the_title_attribute( 'echo=0' ) ); ?>" >
							<?php the_title(); ?>
						</a>
					</h2>
				<?php 
				} ?>

			<?php 
			$count++; endwhile; wp_reset_query();
			
			$widgetid = $widgetid + 1;
			gab_dynamic_sidebar( 'Subnews-'.$widgetid );
			?>
		</div>
	<?php
	$current++;$widgetid++;;
	} ?>
</div><!-- /subnews -->
