<?php
	/*
		Template Name: Blog
	*/
?>

<?php get_header(); ?>

<div class="single-default sidebarleft sidebar">
	<?php get_sidebar('3col-templ-leftColSidebar'); ?>
</div>

<div id="content" class="single-default entrycontainer">

	<?php 
	if ( get_query_var( 'paged') ) $paged = get_query_var( 'paged' ); elseif ( get_query_var( 'page') ) $paged = get_query_var( 'page' ); else $paged = 1;
	query_posts( "post_type=post&showposts=4&paged=$paged" ); 
	
	get_template_part( 'loop', 'default' ); ?>
	
	<div class="archive-pagination">
		<?php
		// load pagination
		global $wp_query;

		$big = 999999999;
		echo paginate_links( array(
			'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
			'format' => '?paged=%#%',
			'current' => max( 1, get_query_var('paged') ),
			'total' => $wp_query->max_num_pages
		) );
		?>
	</div>
	<?php wp_reset_query();	?>

</div><!-- /content -->
	
<div id="sidebar" class="single-default sidebarright sidebar">
	<?php get_sidebar('3col-templ-rightColSidebar'); ?>
</div><!-- /sidebar -->

<div class="clearfix"></div>
	
<?php get_footer(); ?>